Subject: [Teas] progressing draft-ietf-teas-rsvp-te-li-lb

From: Lou Berger <[email-masked]>
Date: Mon, 29 Dec 2014 10:58:02 -0500

Authors (WG),
    I'm the shepherd for this document.  I was hoping to put in the
publication request for this document today as it would have been nice
to have a publication request in 2014! Unfortunately, I see some
comments that were not addressed from before the LC.  In particular,
from the thread starting with
http://www.ietf.org/mail-archive/web/ccamp/current/threads.html :

>From: Dongjie (Jimmy):
>...
>>From: Lou Berger
>...
>> WRT section 2.1.  Extensions for Lock Instruct:
>> - What extension is defined in this subsection.  What do you think about
>> replacing section 2.1 with something along the lines of?
>> 
>>   2.1. Lock Instruct Indication
>> 
>>    In order to indicate the lock/unlock of the LSP, the A
>>    (Administratively down) bit in ADMIN_STATUS object [RFC3471]
>>    [RFC3473] is used.
>> 
> 
> Agree with your suggestion. This could make section 2.1 much clearer.

I think this means that the object format and bit definitions are to be
removed.

>>> Where is the Loopback (B) bit / Attribute Flag defined? This
document, right?
...
>> This said, you still need to mention where it is defined (e.g., in
section 3.1, add
>> "defined above" the first time you mention the bit) and add it to the
IANA
>> section.
>Will fix this in the new revision.

You still use "(B)" in Section 3.2, but nowhere else. Please replace all
instances of "Loopback (B) bit" and "Loopback flag" with "Loopback
Attribute Flag".

Finally, WRT the discussion on 2119 language, there is also one more
"SHOULD" I have a question about:
   When an LSP is put in lock mode, the subsequent Path and Resv
   messages SHOULD keep the A bit in ADMIN_STATUS Object set.

Why isn't this a "MUST"?

That's it, please let us/me know when to expect the next revision.

Thank you,
Lou

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 30 Dec 2014 02:27:02 +0000

Hi Lou, 

Thanks a lot for pointing out these comments, I just submitted a new revision (-01) to solve all of them. 

And please see my replies inline: 

> -----Original Message-----
> From: Teas [mailto:[email-masked]] On Behalf Of Lou Berger
> Sent: Monday, December 29, 2014 11:58 PM
> To: [email-masked]
> Cc: TEAS WG
> Subject: [Teas] progressing draft-ietf-teas-rsvp-te-li-lb
> 
> Authors (WG),
> publication request for this document today as it would have been nice to have
> a publication request in 2014! Unfortunately, I see some comments that were
> not addressed from before the LC.  In particular, from the thread starting with
> >> - What extension is defined in this subsection.  What do you think
> >> about replacing section 2.1 with something along the lines of?
> >>
> I think this means that the object format and bit definitions are to be removed.

Yes, my intention was to remove them, but somehow they were kept in the previous version. Now they are removed.

> You still use "(B)" in Section 3.2, but nowhere else. Please replace all instances
> of "Loopback (B) bit" and "Loopback flag" with "Loopback Attribute Flag".

Now they are substituted by "Loopback Attribute Flag".

> Finally, WRT the discussion on 2119 language, there is also one more "SHOULD"
> I have a question about:

Good catch. Have changed this one and another "SHOULD" in similar case to "MUST".

> That's it, please let us/me know when to expect the next revision.

The new revision has just been submitted. Sorry for any inconvenience caused.

Many thanks,
Jie

> Thank you,
> Lou
> 
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

---

From: Lou Berger <[email-masked]>
Date: Tue, 30 Dec 2014 11:15:14 -0500

Kudos on the very fast response!

Thank you,
Lou